using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
  public  class repositorioRamalTensaoIsolacao
    {

        public IList<entidadeRamalTensaoIsolacao> Select(entidadeRamalTensaoIsolacao objRamalTensaoIsolacao)
        {
            dalRamalTensaoIsolacao dalRamalTensaoIsolacao = null;

            var lstRamalTensaoIsolacao = new List<entidadeRamalTensaoIsolacao>();
            DataTable dt = null;

            try
            {
                dalRamalTensaoIsolacao = new dalRamalTensaoIsolacao();
                dt = dalRamalTensaoIsolacao.Select(objRamalTensaoIsolacao);

                foreach (DataRow dr in dt.Rows)
                {
                    objRamalTensaoIsolacao = new entidadeRamalTensaoIsolacao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objRamalTensaoIsolacao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objRamalTensaoIsolacao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objRamalTensaoIsolacao.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objRamalTensaoIsolacao.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstRamalTensaoIsolacao.Add(objRamalTensaoIsolacao);
                }
                return lstRamalTensaoIsolacao;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
